curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/policy/infer' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"org_id": "string",
"tool_input": null,
"tool_name": "string"
}'
{
"confidence": 1,
"decision": "string",
"processing_time_ms": 1,
"proof_trace": [
{
"input": "string",
"log_prob": 1,
"position": 1,
"symbol": "string"
}
]
}
PolicyInfer
Required scope: write
POST
/
api
/
v1
/
policy
/
infer
curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/policy/infer' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"org_id": "string",
"tool_input": null,
"tool_name": "string"
}'
{
"confidence": 1,
"decision": "string",
"processing_time_ms": 1,
"proof_trace": [
{
"input": "string",
"log_prob": 1,
"position": 1,
"symbol": "string"
}
]
}
Required scope:
write
Request body
PolicyInferRequest
string
any
required
string
required
Response
PolicyInferResponse
number (double)
required
string
required
integer (int64)
required
ProofNode[]
required
Status codes
| Code | Meaning |
|---|---|
200 | Policy inference result |
400 | Invalid request |
401 | Unauthorized — missing or invalid credentials |
403 | Forbidden — the key/token lacks the required scope |
429 | Rate limited — see Retry-After / X-RateLimit-Reset |
500 | Internal server error |
curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/policy/infer' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"org_id": "string",
"tool_input": null,
"tool_name": "string"
}'
{
"confidence": 1,
"decision": "string",
"processing_time_ms": 1,
"proof_trace": [
{
"input": "string",
"log_prob": 1,
"position": 1,
"symbol": "string"
}
]
}